Bug 13421 - Add the creation time for virtual shelves
Summary: Add the creation time for virtual shelves
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13419
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-09 16:17 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13421: Add the creation time for virtual shelves (7.67 KB, patch)
2014-12-09 16:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 13421: Add the creation time for virtual shelves (8.36 KB, patch)
2014-12-18 05:12 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13421: Add the creation time for virtual shelves (8.32 KB, patch)
2014-12-19 16:38 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13421 - Change creation_time to created_on (5.70 KB, patch)
2014-12-19 16:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13421: Add the creation time for virtual shelves (8.43 KB, patch)
2015-04-30 07:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13421 - Change creation_time to created_on (5.77 KB, patch)
2015-04-30 07:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13421: (RM followup) DBIx updates (1.67 KB, patch)
2015-05-14 14:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-12-09 16:17:34 UTC
Currently it's not possible to know when a list has been created.
It could be useful to have this data.
That will permit to remove old lists, for instance.
Comment 1 Jonathan Druart 2014-12-09 16:20:13 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-12-09 18:42:57 UTC
Wanted to test, got:

Applying: Bug 13421: Add the creation time for virtual shelves
fatal: sha1 information is lacking or useless (C4/Utils/DataTables/VirtualShelves.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 3 Jonathan Druart 2014-12-10 09:34:08 UTC
Marc, did you apply the dependency?
Comment 4 Marc Véron 2014-12-18 05:12:46 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2014-12-19 16:38:58 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2014-12-19 16:40:03 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2014-12-19 16:42:07 UTC
I think we need to standardize our timestamp columns in Koha. I think this would be as good a place to start as any. I would suggest we use created_on for creation timestamps, and updated_on for last updated timestamps, if you have no objections. This is the naming convention I used for the accounts rewrite. I will also bring the issue up at the next channel meeting.
Comment 8 Marcel de Rooy 2015-03-19 10:52:34 UTC
(In reply to Kyle M Hall from comment #7)
> I think we need to standardize our timestamp columns in Koha. I think this
> would be as good a place to start as any. I would suggest we use created_on
> for creation timestamps, and updated_on for last updated timestamps, if you
> have no objections. This is the naming convention I used for the accounts
> rewrite. I will also bring the issue up at the next channel meeting.

What did this channel meeting bring up?
Comment 9 Tomás Cohen Arazi 2015-04-29 18:00:36 UTC
Please rebase.
Comment 10 Jonathan Druart 2015-04-30 07:41:51 UTC
Created attachment 38716 [details] [review]
Bug 13421: Add the creation time for virtual shelves

Test plan:
1/ Execute the updatedb entry
2/ Create a list
3/ Go on the shelve list and confirm that the creation and last
modification time are now displayed.
4/ Confirm that you are able to sort the list by creation/modification
time.

Applied on top of 13419 (rebased updatedatabase.pl)
Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Jonathan Druart 2015-04-30 07:42:33 UTC
Created attachment 38717 [details] [review]
Bug 13421 - Change creation_time to created_on
Comment 12 Tomás Cohen Arazi 2015-05-04 18:58:10 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 13 Tomás Cohen Arazi 2015-05-14 14:30:45 UTC
Created attachment 39185 [details] [review]
Bug 13421: (RM followup) DBIx updates

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>